Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025817
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2014-02-24 17:442014-05-07 18:11
ReportermaiteView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision9c1ba5cb154b
ProjectionnoneETAnoneTarget Version3.0PR14Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toeduardo_Argal
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025817: When Background Acct Server process is run with "system administrator" role it does not consider exchange rate at doc level

DescriptionWhen Background Acct Server process is run with "system administrator" role it does not consider exchange rate at doc level
Steps To Reproduce0. Access Process Request window and Unschedule Acct Server Background process
1. Create Sales Invoice for España org, add any line and process.
2. Access "Exchange Rate" tab and define conversion rate between EUR and USD to 2
3. Change rol to "System Administrator"
4. Access Process Request window and create new record for Acct Server Background process and "Run immediately". Run process
5. Change Rol to Admin and access previous invoice. Realize that invoice has been posted using rate defined in "Conversion Rate" window instead of rate defined in "Exchange Rate" tab for that invoice
6. If you access to Process Request window, and run Acct Server Background process with "Admin" role you can verify that rate defined at document level is used.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0066187)
AtulOpenbravo (developer)
2014-04-04 13:13

Test Plan
1. Go to Process Request window and Unschedule Acct Server Background process.
2. Create Sales Invoice for España org, add any line and process.
3. Access "Exchange Rate" tab & define conversion rate between EUR and USD as 2.
4. Change role to "System Administrator".
5. Access Process Request window and create new record for Acct Server Background process and "Run immediately". Run process.
6. Change Role to Admin and access previous invoice. Realize that invoice has been posted using rate defined in "Exchange Rate" tab for that invoice.
(0066188)
hgbot (developer)
2014-04-04 13:15

Repository: erp/devel/pi
Changeset: 9c1ba5cb154bcc51e09b79b6ce22760d3af66c72
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Fri Apr 04 10:10:05 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/9c1ba5cb154bcc51e09b79b6ce22760d3af66c72 [^]

Fixes Issue 25817 Background Acct process considers exchange rate
at doc level in system client

---
M src/org/openbravo/erpCommon/ad_forms/AcctServer.java
---
(0066200)
eduardo_Argal (developer)
2014-04-07 12:49

Code reviewed and tested
(0066893)
hudsonbot (developer)
2014-05-07 18:11

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/02ca2648bcdc [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-02-24 17:44 maite New Issue
2014-02-24 17:44 maite Assigned To => dmiguelez
2014-02-24 17:44 maite Modules => Core
2014-02-24 17:44 maite Triggers an Emergency Pack => No
2014-03-24 18:04 jonalegriaesarte Assigned To dmiguelez => pramakrishnan
2014-03-24 18:04 jonalegriaesarte Target Version => PR14Q2
2014-03-31 16:17 jonalegriaesarte Target Version PR14Q2 => PR14Q3
2014-04-03 10:45 AtulOpenbravo Assigned To pramakrishnan => AtulOpenbravo
2014-04-03 10:45 AtulOpenbravo Status new => scheduled
2014-04-03 10:45 AtulOpenbravo fix_in_branch => pi
2014-04-04 13:13 AtulOpenbravo Review Assigned To => eduardo_Argal
2014-04-04 13:13 AtulOpenbravo Note Added: 0066187
2014-04-04 13:13 AtulOpenbravo fix_in_branch pi =>
2014-04-04 13:15 hgbot Checkin
2014-04-04 13:15 hgbot Note Added: 0066188
2014-04-04 13:15 hgbot Status scheduled => resolved
2014-04-04 13:15 hgbot Resolution open => fixed
2014-04-04 13:15 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/9c1ba5cb154bcc51e09b79b6ce22760d3af66c72 [^]
2014-04-07 12:49 eduardo_Argal Note Added: 0066200
2014-04-07 12:49 eduardo_Argal Status resolved => closed
2014-05-07 18:11 hudsonbot Checkin
2014-05-07 18:11 hudsonbot Note Added: 0066893


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker